sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konrad Windszus (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SLING-7757) Switch to ConfigurationHandler which supports user-friendly float/double values
Date Thu, 28 Jun 2018 15:00:00 GMT

    [ https://issues.apache.org/jira/browse/SLING-7757?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16526398#comment-16526398
] 

Konrad Windszus commented on SLING-7757:
----------------------------------------

According to https://issues.apache.org/jira/browse/FELIX-5306?focusedCommentId=16526093&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-16526093
the utils ones is a fork of the configadmin one.

> Switch to ConfigurationHandler which supports user-friendly float/double values
> -------------------------------------------------------------------------------
>
>                 Key: SLING-7757
>                 URL: https://issues.apache.org/jira/browse/SLING-7757
>             Project: Sling
>          Issue Type: Improvement
>          Components: Installer
>    Affects Versions: Installer Core 3.8.10
>            Reporter: Konrad Windszus
>            Priority: Major
>             Fix For: Installer Core 3.8.12
>
>
> Currently the {{.config}} format only supports float/double values in the IEEE 754 floating-point
bit layout (described in https://docs.oracle.com/javase/7/docs/api/java/lang/Float.html#intBitsToFloat%28int%29
and https://docs.oracle.com/javase/7/docs/api/java/lang/Double.html#longBitsToDouble(long)
respectively). With FELIX-5306 this has been fixed for the {{ConfigurationHandler}} in package
{{org.apache.felix.utils.properties}} (https://github.com/apache/felix/blob/trunk/utils/src/main/java/org/apache/felix/utils/properties/ConfigurationHandler.java).
The OSGi installer still uses the {{ConfigurationHandler}} from {{org.apache.felix.cm.file}}
(https://github.com/apache/felix/blob/trunk/configadmin/src/main/java/org/apache/felix/cm/file/ConfigurationHandler.java),
which seems to be deprecated and which has not received user-friendly float/double support.
Therefore the OSGi Installer should be updated to use the latest version from Felix Utils
(https://github.com/apache/sling-org-apache-sling-installer-core/blob/0a34e33dd26092437be5180e34979abbf9a88300/src/main/java/org/apache/sling/installer/core/impl/InternalResource.java#L257).



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message